Loading...
Searching...
No Matches
WGPURenderPipelineDescriptor Struct Reference

`#include <mini_webgpu.h>`

## Public Attributes

WGPUChainedStruct const * | nextInChain
WGPU_NULLABLE char const * | label
WGPU_NULLABLE WGPUPipelineLayout | layout
WGPUVertexState | vertex
WGPUPrimitiveState | primitive
WGPU_NULLABLE WGPUDepthStencilState const * | depthStencil
WGPUMultisampleState | multisample
WGPU_NULLABLE WGPUFragmentState const * | fragment

## Detailed Description

Definition at line 2022 of file mini_webgpu.h.

## Member Data Documentation

## nextInChain

WGPUChainedStruct const* WGPURenderPipelineDescriptor::nextInChain

Definition at line 2023 of file mini_webgpu.h.

## label

WGPU_NULLABLE char const* WGPURenderPipelineDescriptor::label

Definition at line 2024 of file mini_webgpu.h.

## layout

WGPU_NULLABLE WGPUPipelineLayout WGPURenderPipelineDescriptor::layout

Definition at line 2025 of file mini_webgpu.h.

## vertex

WGPUVertexState WGPURenderPipelineDescriptor::vertex

Definition at line 2026 of file mini_webgpu.h.

## primitive

WGPUPrimitiveState WGPURenderPipelineDescriptor::primitive

Definition at line 2027 of file mini_webgpu.h.

## depthStencil

WGPU_NULLABLE WGPUDepthStencilState const* WGPURenderPipelineDescriptor::depthStencil

Definition at line 2028 of file mini_webgpu.h.

## multisample

WGPUMultisampleState WGPURenderPipelineDescriptor::multisample

Definition at line 2029 of file mini_webgpu.h.

## fragment

WGPU_NULLABLE WGPUFragmentState const* WGPURenderPipelineDescriptor::fragment

Definition at line 2030 of file mini_webgpu.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_webgpu.h